Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227354 - Cannot prelink emacs
Summary: Cannot prelink emacs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Coldwell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 16:03 UTC by Daniel Qarras
Modified: 2018-11-30 19:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-01 16:00:39 UTC


Attachments (Terms of Use)

Description Daniel Qarras 2007-02-05 16:03:43 UTC
Fedora Core 6 with all available updates seems to fail to prelink emacs with
this error:

Prelinking /usr/bin/emacs-21.4-x
prelink: /usr/bin/emacs-21.4-x: COPY relocations don't point into .bss or .sbss
section

Please consider avoiding the error message.

Comment 1 Chip Coldwell 2007-02-05 16:23:17 UTC
(In reply to comment #0)
> Fedora Core 6 with all available updates seems to fail to prelink emacs with
> this error:
> 
> Prelinking /usr/bin/emacs-21.4-x
> prelink: /usr/bin/emacs-21.4-x: COPY relocations don't point into .bss or .sbss
> section
> 
> Please consider avoiding the error message.

I'm not sure that this is a bug.  It's probably an inevitable result of the
dumping (unexec) process that happens when you build emacs.

Chip




Comment 2 Daniel Qarras 2007-06-01 15:57:36 UTC
FWIW, this problem still exists in Fedora 7:

Prelinking /usr/bin/emacs-x
prelink: /usr/bin/emacs-x: COPY relocations don't point into .bss or .sbss section


Comment 3 Chip Coldwell 2007-06-01 16:00:39 UTC
(In reply to comment #2)
> FWIW, this problem still exists in Fedora 7:
> 
> Prelinking /usr/bin/emacs-x
> prelink: /usr/bin/emacs-x: COPY relocations don't point into .bss or .sbss section
> 

I'm still convinced that this is an inevitable side effect of the way the dumper
works.  It creates a new .data section in the dumped emacs from the .bss section
of the dumping emacs.  I don't think this can ever work.



Comment 4 Daniel Qarras 2007-06-06 17:38:55 UTC
Well, let me just point out that currently emacs-x is the only binary in the
default Fedora 7 install which cannot be prelinked.

Comment 5 Chip Coldwell 2007-06-06 20:16:51 UTC
(In reply to comment #4)
> Well, let me just point out that currently emacs-x is the only binary in the
> default Fedora 7 install which cannot be prelinked.

Sure, and it is also the only binary that is the output of an "unexec" dumper,
as we discovered in bug 239344.

Chip

Comment 6 David Tonhofer 2011-11-13 20:26:34 UTC
Just got this in Red Hat Enterprise 5.6, when running prelink manually:

prelink: /usr/bin/emacs-x: COPY relocations don't point into .bss or .sbss section

The only error generated by prelink.

As they say in Half-Life, "Probably not a problem"


Note You need to log in before you can comment on or make changes to this bug.